Track Events
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/analytics/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"name": "<string>",
"botId": "<string>",
"workspaceId": "<string>"
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/analytics/events"
payload = { "events": [
{
"name": "<string>",
"botId": "<string>",
"workspaceId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({events: [{name: '<string>', botId: '<string>', workspaceId: '<string>'}]})
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/analytics/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}Analytics
Track Events
Track client events.
POST
/
v3
/
bots
/
{botId}
/
analytics
/
events
Track Events
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/analytics/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"name": "<string>",
"botId": "<string>",
"workspaceId": "<string>"
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/analytics/events"
payload = { "events": [
{
"name": "<string>",
"botId": "<string>",
"workspaceId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({events: [{name: '<string>', botId: '<string>', workspaceId: '<string>'}]})
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/analytics/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Default Response